SuperidV2

Upscaler - SuperID

POST
/api/superid/v2

Use this endpoint to start the upscaling process.

Check the Notifications (/notification_by_name_json) to understand the processing status.

Authorization

token_auth_2
headerAuthorizationBearer <token>

Request Body

application/json
  1. body
id_project?string
id_image?string
prompt?string
creativity?integer
fidelity?integer
hdr?integer
fractality?integer
denoise?integer
face_enhancer?boolean
seed?integer
scale_factor?string
superid_type?string
flag_email?boolean
output_format?string
options?string

Response Body

Success

application/json
  1. response
eta?integer
required_credits?integer
width?integer
height?integer
width_o?integer
height_o?integer
curl -X POST "https://example.com/api/superid/v2" \  -H "Content-Type: application/json" \  -d '{}'
{  "eta": 0,  "required_credits": 0,  "width": 0,  "height": 0,  "width_o": 0,  "height_o": 0}